package mhp.oee.dao.gen;

import mhp.oee.po.gen.HeartBeatPO;
import mhp.oee.po.gen.HeartBeatPOExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HeartBeatPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int countByExample(HeartBeatPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int deleteByExample(HeartBeatPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String resourceBo);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int insert(HeartBeatPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int insertSelective(HeartBeatPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    List<HeartBeatPO> selectByExample(HeartBeatPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    HeartBeatPO selectByPrimaryKey(String resourceBo);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") HeartBeatPO record, @Param("example") HeartBeatPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") HeartBeatPO record, @Param("example") HeartBeatPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(HeartBeatPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table heart_beat
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(HeartBeatPO record);
}